<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin;

use Sylius\Bundle\CoreBundle\Application\SyliusPluginTrait;
use Sylius\Bundle\ResourceBundle\AbstractResourceBundle;
use Sylius\Bundle\ResourceBundle\SyliusResourceBundle;

final class DediSyliusCustomerPoolPlugin extends AbstractResourceBundle
{
    use SyliusPluginTrait;

    protected function getModelNamespace(): string
    {
        return 'Dedi\SyliusCustomerPoolPlugin\Model';
    }

    public function getSupportedDrivers(): array
    {
        return [
            SyliusResourceBundle::DRIVER_DOCTRINE_ORM,
        ];
    }
}
